package com.jqtx.windows.infrastructure.enums;

import org.apache.commons.lang3.StringUtils;

/*
 * @ClassName ActionEnum
 * @Author liuzicheng
 * @Description //TODO
 * @Date 2022/5/26 11:39
 */
public enum ActionEnum {

    PASS("PASS", "通过"),

    BACK("BACK", "退回"),

    REJECT("REJECT", "拒绝");

    ActionEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
    public static ActionEnum getEnum(String code) {
        for (ActionEnum loanEnum : ActionEnum.values()) {
            if (StringUtils.equals(loanEnum.getCode(), code)) {
                return loanEnum;
            }
        }
        return null;
    }


    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    private String code;

    private String message;

}
