package com.jqtx.windows.infrastructure.enums;

public enum BankCodeEnum {

    CCB("CCB", "建设银行", "#3875DF"),

    ICBC("ICBC", "工商银行", "#38BFB5"),

    PINAGAN("PINAGAN", "平安银行", "#E85279"),

    ABC("ABC", "农业银行", "#795AB4"),

    CMB("CMB", "招商银行", "#FBB849"),

    PSBC("PSBC", "邮储银行", "#3C91EF"),

    CMBC("CMBC", "民生银行", "#37C2A1"),

    CEB("CEB", "光大银行", "#E55B65"),

    CITIC("CITIC", "中信银行", "#8962D5"),

    CIB("CIB", "兴业银行", "#FBA349"),

    SPDB("SPDB", "浦发银行", "#567FC7"),

    BOC("BOC", "中国银行", "#FE6B74"),

    COMM("COMM", "交通银行", "#1BA7B4"),

    GDB("GDB", "广发银行", "#7E58D6"),

    HXB("HXB", "华夏银行", "#FC9546"),

    BJB("BJB", "北京银行", "#F5545E"),

    SHB("SHB", "上海银行", "#4079DD"),
    ;

    /**
     * 枚举编号
     */
    private String code;

    /**
     * 枚举详情
     */
    private String message;

    /**
     * 色块
     */
    private String color;


    /**
     * @param code
     * @param message
     */
    private BankCodeEnum(String code, String message, String color) {
        this.message = message;
        this.code = code;
        this.color = color;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }
}
