package com.jqtx.windows.infrastructure.enums;

/**
 * @Author: yexiaodong
 * @Date:2018/9/30 11:15
 */
public enum CancelTypeEnum {

    BLACK_REFUSE("BLACK_REFUSE", "黑名单拒绝"),

    MACHINE_REFUSE("MACHINE_REFUSE", "机审拒绝"),
    ;

    /**
     * 枚举编号
     */
    private String code;

    /**
     * 枚举详情
     */
    private String message;

    /**
     * @param code
     * @param message
     */
    CancelTypeEnum(String code, String message) {
        this.message = message;
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
