package com.jqtx.windows.infrastructure.enums;

public enum CommonEnum {

    NO(0,"否"),

    YES(1,"是");

    private int code;

    private String message;

    private CommonEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }
    public static CommonEnum getCommonEnumByCode(int code) {
        for (CommonEnum e : CommonEnum.values()) {
            if (code == e.getCode()) {
                return e;
            }
        }
        return null;
    }
    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
