package com.jqtx.windows.infrastructure.enums;

/**
 * @Author: yexiaodong
 * @Date:2018/9/30 11:15
 */
public enum CreditStatusEnum {
    CREDIT_ING(1, "审核中"),
    CREDIT_PASS(2, "授信通过"),
    CREDIT_REFUSE(3, "授信拒绝"),
    ;

    /**
     * 枚举编号
     */
    private int code;

    /**
     * 枚举详情
     */
    private String message;

    /**
     * @param code
     * @param message
     */
    CreditStatusEnum(int code, String message) {
        this.message = message;
        this.code = code;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
