package com.jqtx.windows.infrastructure.enums;

/**
 * @Author: yexiaodong
 * @Date:2018/9/30 11:15
 */
public enum CreditTypeEnum {

    ADD_CREDIT("ADD_CREDIT", "提额授信"),

    NORMAL_CREDIT("NORMAL_CREDIT", "正常授信"),
    ;

    /**
     * 枚举编号
     */
    private String code;

    /**
     * 枚举详情
     */
    private String message;

    /**
     * @param code
     * @param message
     */
    CreditTypeEnum(String code, String message) {
        this.message = message;
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
