package com.jqtx.windows.infrastructure.enums;


public enum HomeStateEnum {

    state_01(-1,"立即申请","立即申请"),
    state_0(0,"预授信","预授信"),
    state_1(1,"去授信","去授信"),
    state_2(2,"去别家看看","去别家看看"),
    state_3(3,"授信审核中","授信审核中"),
    state_4(4,"立即提现","立即提现"),
    state_5(5,"去还款","去还款"),
    state_6(6,"放款审核中","放款审核中");
    private Integer code;
    private String state;
    private String des;

    HomeStateEnum(Integer code, String state, String des) {
        this.code = code;
        this.state = state;
        this.des = des;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getDes() {
        return des;
    }

    public void setDes(String des) {
        this.des = des;
    }

    public static String getDes(Integer code) {
        for (HomeStateEnum loanEnum : HomeStateEnum.values()) {
            if (loanEnum.getCode().intValue()==code.intValue()) {
                return loanEnum.getDes();
            }
        }
        return null;
    }

    public static String getState(Integer code) {
        for (HomeStateEnum loanEnum : HomeStateEnum.values()) {
            if (loanEnum.getCode().intValue()==code.intValue()) {
                return loanEnum.getState();
            }
        }
        return null;
    }
}
