package com.jqtx.windows.infrastructure.enums;

/**
 * @program: baoyouhua
 * @description:
 * @author: zq
 * @create: 2022-06-07 16:02
 **/
public enum LoanSignCodeEnum {

    OWNDR("OWNBUSINESS", "DR", "自营-鼎荣"),
    FENGSHENGDR("FENGSHENGBUSINESS", "ZY", "丰盛-中盈"),
    FENGSHENGYX("OWNBUSINESS", "XY", "自营-鑫益保理");

    private String capitalCode;

    private String loanSign;

    private String message;

    LoanSignCodeEnum(String capitalCode, String loanSign, String message) {
        this.capitalCode = capitalCode;
        this.loanSign = loanSign;
        this.message = message;
    }

    public static LoanSignCodeEnum getEnum(String capitalCode, String loanSign) {
        LoanSignCodeEnum[] values = LoanSignCodeEnum.values();
        for (LoanSignCodeEnum value : values) {
            if (value.getCapitalCode().equals(capitalCode) && value.getLoanSign().equals(loanSign)) {
                return value;
            }
        }
        return LoanSignCodeEnum.OWNDR;
    }

    public String getCapitalCode() {
        return capitalCode;
    }

    public void setCapitalCode(String capitalCode) {
        this.capitalCode = capitalCode;
    }

    public String getLoanSign() {
        return loanSign;
    }

    public void setLoanSign(String loanSign) {
        this.loanSign = loanSign;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
