package com.jqtx.windows.infrastructure.enums;

import org.apache.commons.lang3.StringUtils;

/**
 * @Author: yexiaodong
 * @Date:2018/9/30 11:15
 */
public enum PreCreditStatusEnum {

    PRE_CREDIT_ING(1, "预授信中"),

    PRE_CREDIT_PASS(2, "预授信通过"),

    PRE_CREDIT_REFUSE(3, "预授信拒绝"),
    ;

    private int code;
    private String message;

    public static PreCreditStatusEnum getEnum(String code) {
        for (PreCreditStatusEnum loanEnum : PreCreditStatusEnum.values()) {
            if (StringUtils.equals(loanEnum.name(), code)) {
                return loanEnum;
            }
        }
        return null;
    }
    PreCreditStatusEnum(int code, String message) {
        this.message = message;
        this.code = code;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
