package com.jqtx.windows.infrastructure.enums;

public enum ProcessStateEnum {

    FINISH(1,"已完成"),

    INIT(0,"未完成"),

    NEED(-1,"待更新");

    private int code;

    private String message;

    private ProcessStateEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }
    public static ProcessStateEnum getEnumByCode(int code) {
        for (ProcessStateEnum e : ProcessStateEnum.values()) {
            if (code == e.getCode()) {
                return e;
            }
        }
        return null;
    }
    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
