package com.jqtx.windows.infrastructure.enums;

import org.apache.commons.lang3.StringUtils;

/**
 * @Author: yexiaodong
 * @Date:2018/9/30 11:15
 */
public enum CreditDetailStatusResultEnum {

    PASS("PASS", "通过"),

    BACK("BACK", "退回"),

    REJECT("REJECT", "拒绝"),

    RETRIAL("RETRIAL", "复议"),
    ;

    /**
     * 枚举编号
     */
    private String code;

    /**
     * 枚举详情
     */
    private String message;

    /**
     * @param code
     * @param message
     */
    CreditDetailStatusResultEnum(String code, String message) {
        this.message = message;
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public static CreditDetailStatusResultEnum getEnum(String code) {
        for (CreditDetailStatusResultEnum loanEnum : CreditDetailStatusResultEnum.values()) {
            if (StringUtils.equals(loanEnum.getCode(), code)) {
                return loanEnum;
            }
        }
        return null;
    }


    public static String creditResult(String code){
        if("YES".equalsIgnoreCase(code)){
            return  PASS.code;
        }else if ("NO".equalsIgnoreCase(code)){
            return REJECT.code;
        }else{
            return  RETRIAL.code;
        }

    }
    public void setCode(String code) {
        this.code = code;
    }
}
