package com.jqtx.windows.infrastructure.enums;

import org.apache.commons.lang3.StringUtils;

public enum LoanEnum {

    INIT("INIT", "初始化"),
    CANCEL("CANCEL", "取消"),
    SUCCESS("SUCCESS", "成功");

    LoanEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
    public static LoanEnum getEnum(String code) {
        for (LoanEnum loanEnum : LoanEnum.values()) {
            if (StringUtils.equals(loanEnum.getCode(), code)) {
                return loanEnum;
            }
        }
        return null;
    }


    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    private String code;

    private String message;
}
