package com.jqtx.windows.infrastructure.enums;

/*
 * @ClassName ProcessEnum
 * @Author liuzicheng
 * @Description //TODO
 * @Date 2022/6/30 14:40
 */
public enum ProcessEnum {

    LIVE(1,"活体认证"),

    LOAN(2,"意向单"),

    BASE(3,"基础信息"),

    ATTACH(4,"附件资料");

    private int code;

    private String message;

    private ProcessEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }
    public static ProcessEnum getEnumByCode(int code) {
        for (ProcessEnum e : ProcessEnum.values()) {
            if (code == e.getCode()) {
                return e;
            }
        }
        return null;
    }
    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
